### Function

# Dex file_delete

#### Declaration [src]

    DexFuture*
    dex_file_delete (
      GFile* file,
      int io_priority
    )

#### Description [src]

Asynchronously deletes a file and returns a `DexFuture` which can be observed for the result.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to true or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.